\name{getToHost}
\alias{getToHost}
\title{Sends Get Request to HTTP Server (host)}
\description{
  Sends Get Request to HTTP Server
}
\usage{
getToHost(host,path,referer,port=80)
}
\arguments{
\item{host}{The host to which to send the Request eg.: www.spiegel.de, 127.0.01}
\item{path}{The path to the file eg. /cgi/getpasswords.pl?test=best or /index.html}
\item{referer}{something like www.myhome.org}
\item{port}{its 80 or 8080 most frequently}
}
\value{The document which the server returns as a string.}
\details{
It is a simple http client. So it does not take care of special chars e.g. whitspaces.
For details see e.g. perl HTTP::Request::Common documentation.
and \code{http://www.w3.org/Protocols/rfc1341/0_TableOfContents.html}
}
\author{E.W.Wolski wolski@molgen.mpg.de}
\seealso{}
\examples{
#check first if www.molgen.mpg.de is running.
#port<-80
#getToHost("www.molgen.mpg.de","/~wolski/test.php4?test=test1&test2=test2&test3=3","www.test.pl",port=port)
}
\keyword{misc}

\eof
\name{postToHost}
\alias{postToHost}
\title{Sends Multiform Post Request to HTTP Server}
\description{
  Sends Multiform Post Request to HTTP Server
}
\usage{
postToHost(host,path,dataTosend,referer="",port=80)
}

\arguments{
        \item{host}{The host to which to send the Request eg.: www.spiegel.de,127.0.01}
        \item{path}{The path to the file eg. /cgi/getpasswords.pl or /index.html}
        \item{dataTosend}{its a list of name value pairs e.g. list(name=value,name1=value1,name2=value2)}
        \item{referer}{something like www.myhome.org}
        \item{port}{its 80 or 8080 most frequently}
}

\value{document which the server returns.}
\details{
It is a simple http client. So it does not take care of special chars e.g. whitspaces.
For details see e.g. perl HTTP::Request::Common documentation.
and \code{http://www.w3.org/Protocols/rfc1341/0_TableOfContents.html}

}
\author{E.W.Wolski wolski@molgen.mpg.de}
\seealso{postObjectToHost}
\examples{

#to test uncomment. First check that the host ist running.
#port <- 80
#test2 <- list(
#            "fruit"="apple"
#           ,"dat_defs"="20021204/F113213.dat"
#           ,"upsa"="test"
#           )
#postToHost("www.molgen.mpg.de","/~wolski/test.php4",test2,referer="www.test.de",port=port)
}

\keyword{misc}

\eof
\name{simplePostToHost}
\alias{simplePostToHost}
\title{Sends Simple Post Request to HTTP Server (host)}
\description{
  Sends Post Request to HTTP Server
}
\usage{
        simplePostToHost(host, path, referer, datatosend,port=80)
}
\arguments{
  \item{host}{The host to which to send the Request eg.: www.spiegel.de, localhost}
  \item{path}{The path to the file eg. \samp{/cgi-bin/paramlist.cgi} or \samp{/index.html}}
  \item{referer}{something like www.myhome.org}
  \item{datatosend}{key value pairs pairs separated by \& \code{"pid=14\&pollvotenumber=2\n4"}}
  \item{port}{its 80 or 8080 most frequently}
}
\value{The document which the server returns as a string.}
\details{
It is a simple http client. So it does not take care of special chars e.g. whitspaces.
For details see e.g. perl HTTP::Request::Common documentation.
and \code{http://www.w3.org/Protocols/rfc1341/0_TableOfContents.html}
}
\author{E.W.Wolski wolski@molgen.mpg.de}
\seealso{}
\examples{
#before you use the example check that the server www.molgen.mpg.de is running.
#port <- 80
#data = "pid=14&poll_vote_number=2";
#simplePostToHost("www.molgen.mpg.de","/~wolski/test.php4","",data,port=port)
}
\keyword{misc}

\eof
